rem #!/bin/sh
rem # cct
rem #
rem # Simple script to convert m4 figures into .cct files for inclusion in
rem # LaTeX documents via \inputcct.
rem #
rem # Called as cct fig or cct fig.m4 or cct *.m4
rem #
rem # Last updated 22/4/99 Alan Robert Clark a.clark@ee.wits.ac.za
rem for i do
rem   filpath=`dirname $i`
rem   fn=$filpath/`basename $i .m4`
rem   if [ -e $fn.m4 ]
rem     then
rem       echo "Processing $fn"
rem       m4 $fn.m4 | gpic -t > $fn.cct
rem     else
rem       echo "cct: $fn.m4 not found!"
rem   fi
rem done
rem 
rem A bit more difficult under MsLoss, but here's a simple version!
rem
rem Restricted to cct fig syntax
if exist %1.m4 m4 %1.m4 | pic -t > %1.cct

